# dashdemux

DASH demuxer element.

## Example launch line

     gst-launch-1.0 playbin uri="http://www-itec.uni-klu.ac.at/ftp/datasets/mmsys12/RedBullPlayStreets/redbull_4s/RedBullPlayStreets_4s_isoffmain_DIS_23009_1_v_2_1c2_2011_08_30.mpd"

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstAdaptiveDemux
                            ╰──dashdemux

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – David Corvoysier <david.corvoysier>, Hamid Zakari <hamid.zakari>, Gianluca Gennari <gennarone></gennarone></hamid.zakari></david.corvoysier>

Classification: – `Codec/Demuxer/Adaptive`

Rank – primary

Plugin – dash

Package – GStreamer Bad Plug-ins

## Pad Templates

### `audio_%02u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

### `sink`

    application/dash+xml:

Presence – always

Direction – sink

Object type – GstPad

### `subtitle_%02u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

### `video_%02u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

## Properties

### bandwidth-usage

    “bandwidth-usage” gfloat

Percentage of the available bandwidth to use when selecting representations (deprecated)

Flags : Read / Write

Default value : 0.8

### max-bitrate

    “max-bitrate” guint

Max of bitrate supported by target video decoder (0 = no maximum)

Flags : Read / Write

Default value : 0

### max-buffering-time

    “max-buffering-time” guint

Maximum number of seconds of buffer accumulated during playback(deprecated)

Flags : Read / Write

Default value : 30

### max-video-framerate

    “max-video-framerate” GstFraction *

Max video framerate to select (0/1 = no maximum)

Flags : Read / Write

Default value : 0/1

### max-video-height

    “max-video-height” guint

Max video height to select (0 = no maximum)

Flags : Read / Write

Default value : 0

### max-video-width

    “max-video-width” guint

Max video width to select (0 = no maximum)

Flags : Read / Write

Default value : 0

### presentation-delay

    “presentation-delay” gchararray

Default presentation delay (in seconds, milliseconds or fragments) (e.g. 12s, 2500ms, 3f)

Flags : Read / Write

Default value : 10s

The results of the search are